.online-chat-button {
  position: fixed;
  bottom: 0;
  left: 3%;
  z-index: var(--z-index-500);

  display: none;
  border-radius: var(--border-radius-2);
  background: var(--white);

  color: var(--dark-blue);
  padding: var(--space-8) var(--space-32) !important;
}

.online-chat-button.active {
  display: flex;
}

.online-chat.active {
  max-height: 100%;
  height: max-content;
  visibility: visible;
  position: fixed;
}

.online-chat {
  width: 23%;
  max-width: 430px;
  height: 0;
  max-height: 0;

  visibility: hidden;
  position: static;

  display: flex;
  flex-direction: column;

  transition: max-height 0.3s ease-in-out;
  bottom: 0;
  left: 3%;
}

.online-chat.active {
  padding: var(--space-40) var(--space-40) var(--space-56) var(--space-40) !important;
}

.online-chat-top-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.online-chat .header .button {
  width: 40px;
  height: 40px;
}

.online-chat .header .close-icon {
  width: 100%;
  height: 100%;
  stroke: var(--extra-white);
}

.online-chat .header .title {
  font-weight: 300;
  font-size: var(--font-36);
  text-transform: uppercase;
  line-height: 112%;
}

.online-chat .body-text {
  margin-top: var(--space-20);
}

.online-chat .inputs-container {
  display: flex;
  flex-direction: column;
  gap: var(--space-49);
  margin-top: var(--space-54);
}

.online-chat .inputs-container .input::placeholder {
  font-size: var(--font-16);
  text-transform: capitalize;
}

.online-chat .inputs-container .input:focus::placeholder {
  color: transparent !important;
}

.online-chat .button.stroke {
  width: 100%;
  padding: var(--space-16) var(--space-60);
  margin-top: var(--space-48);
}

@media (max-width: 1800px) {
  .online-chat .inputs-container {
    margin-top: var(--space-50);
  }

  .online-chat .button.stroke {
    margin-top: var(--space-50);
  }
}

@media (max-width: 1600px) {
  .online-chat-button.button.texted {
    font-size: var(--font-16);
    padding: var(--space-8) var(--space-24) !important;
  }
}

@media (max-width: 1600px) {
  .online-chat {
    width: 400px;
  }

  .online-chat .inputs-container {
    margin-top: var(--space-40);
  }

  .online-chat .inputs-container {
    display: flex;
    flex-direction: column;
    gap: var(--space-32);
    margin-top: var(--space-24);
  }

  .online-chat .button.stroke {
    margin-top: var(--space-32);
  }
}

@media (max-width: 1440px) {

  .online-chat.active {
    padding: var(--space-40) !important;
  }

  .online-chat .header .title {
    font-size: var(--font-32);
  }

  .online-chat .header .button {
    width: 36px;
    height: 36px;
  }

  .online-chat .body-text {
    margin-top: var(--space-24);
  }

  .online-chat .input::placeholder {
    font-size: var(--space-12);
  }

  .online-chat .inputs-container {
    display: flex;
    flex-direction: column;
    gap: var(--space-32);
    margin-top: var(--space-24);
  }
}

@media (max-width: 1240px) {
  .online-chat .inputs-container {
    gap: var(--space-20);
  }
}

@media (max-width: 1023px) {
  .online-chat {
    width: 384px;
    left: var(--wrapper-padding);
  }


  .online-chat.active {
    padding: var(--space-32) !important;
  }

  .online-chat .text {
    margin-top: var(--space-16);
  }

  .online-chat .inputs-container {
    gap: var(--space-38);
    margin-top: 44px;
  }

  .online-chat .button.stroke {
    margin-top: var(--space-56);
  }
}

@media (max-width: 768px) {
  .online-chat.active {
    padding: var(--space-32) !important;
  }
}


@media (max-width: 500px) {
  .online-chat {
    width: 100% !important;
    max-width: calc(100% - var(--wrapper-padding) * 2) !important;
  }

  .online-chat .active {
    padding: var(--space-24) var(--space-16) !important;
  }

  .online-chat .header .title {
    font-size: var(--font-24);
  }

  .online-chat .header .button {
    width: 26px;
    height: 26px;
  }

  .online-chat .text {
    font-size: var(--space-14);
    line-height: 112%;
  }

  .online-chat .inputs-container {
    margin-top: 36px;
  }

  .online-chat .button.stroke {
    margin-top: var(--space-40);
  }
}
